Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001976opensim[REGION] OpenSim Corepublic2008-08-17 08:392009-06-04 14:13
Reportertyre 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0001976: [REQUEST] - Beautiful coastal regions and a calm sea ... No sailors around?
DescriptionCan't find something related here on mantis or elsewhere in the blogs, so here are my requests:

What to do to implement a wind layer just as in SL or better?

How far are we with the physics to implement vehicles and such?

Would love to sail my shorelines :)

TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0002331closed Wind isn't heard 

-  Notes
(0004489)
dahlia (administrator)
2008-08-17 10:21

There have been attempts to address these issues already, a lot of the underlying infrastructure is not in place yet. Wind is sent to the viewer in a format similar to terrain data, but it's compressed in some obscure way that isn't understood yet. There is also currently no simulation to generate the wind. It could hopefully be implemented in a plug-in module and then the results could be sent to the viewer and made available to scripts. My tests have so far only found one viewer effect that is influenced by wind: the direction that flexible prims flex toward. I haven't been able to determine if clouds are influenced by it or not. I've also found that while many viewers observing the same flexible prims will show them flexing in the same direction at the same time, scripted objects testing wind direction in the same place will not always get the same direction vector that the visible prim flexes towards. This could be a bug in SLâ„¢ and I may file a Jira on it if one does not yet exist.

As far as vehicles go, some of us have implemented a lot of the infrastructure but it is far from complete. Vehicle physics are probably the icing on the cake as almost everything else pertaining to physics has to be working first in order to support it. These things are being worked on but it will take time. If you or anyone reading this has knowledge of vehicle physics, feel free to get involved and submit patches! :)
(0005456)
tyre (reporter)
2008-09-25 06:53

issue addressed in r6494, thanks teravus

yay! /me performs a wind dance :D
(0006059)
Fly-Man- (developer)
2008-10-16 10:15

Is this still an issue with the latest revision r6875 ?

If it's not, please close this Mantis so we can clean up the Mantis
(0006085)
tyre (reporter)
2008-10-16 12:01

@Fly-Man: This is not an issue but a feature request!

Part 1 (wind) is implemented now
Part 2 (vehicles) are on the way... as it was told
(0006792)
Tricky (reporter)
2008-11-01 17:14

I read the above about ..
Wind is sent to the viewer in a format similar to terrain data, but it's compressed in some obscure way that isn't understood yet

Wouldnt it be logical to ask Linden Labs how they did this?, as they are also trying to TP from LindenGrid to opensim.

Should this knowlegde not be made available then?.. :)
(0011963)
Starky Rubble (reporter)
2009-06-04 14:06

this mantis should be closed

- Issue History
Date Modified Username Field Change
2008-08-17 08:39 tyre New Issue
2008-08-17 08:39 tyre SVN Revision => 0
2008-08-17 08:39 tyre Run Mode => Standalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2008-08-17 08:39 tyre Physics Engine => ODE
2008-08-17 08:39 tyre Environment => .NET / Windows32
2008-08-17 10:21 dahlia Note Added: 0004489
2008-09-25 06:53 tyre Note Added: 0005456
2008-10-16 10:15 Fly-Man- Note Added: 0006059
2008-10-16 12:01 tyre Note Added: 0006085
2008-10-31 04:28 mirceakitsune Relationship added related to 0002331
2008-11-01 17:14 Tricky Note Added: 0006792
2009-06-04 14:06 Starky Rubble Note Added: 0011963
2009-06-04 14:13 cfk Mono Version => None
2009-06-04 14:13 cfk Status new => closed
2009-06-04 14:13 cfk Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker